git-annex-diffdriver(1)

NAME
git-annex-diffdriver - external git diff driver shim

SYNOPSIS
git annex diffdriver -- cmd --opts --

DESCRIPTION
This is an external git diff driver shim. Normally, when using git diff with an external git driver, the symlinks to annexed files are not set up right, so the external git driver cannot read them in order to perform smart diffing of their contents. This command works around the problem, by passing the fixed up files to the real external diff driver.

To use, just configure git to use "git-annex diffdriver -- cmd params --" as the external diff command, where cmd is the real external diff command you want to use, and params are any extra parameters to pass to it. Note the trailing "--", which is required.

For example, set GIT_EXTERNAL_DIFF=git-annex diffdriver -- j-c-diff --

SEE ALSO
git-annex(1)

AUTHOR
Joey Hess <id@joeyh.name>